package proto

type ListRequest struct {
	Path                    string `json:"path"`
	IsIncludeSubdirectories bool   `json:"isIncludeSubdirectories"`
	BasePageList
}

type BasePageList struct {
	Page int64 `json:"page,omitempty" form:"page"`
	Size int64 `json:"pageSize,omitempty" form:"pageSize"`
}

type LabelRequest struct {
	FileList    []string `json:"fileList"`
	LabelStatus bool     `json:"labelStatus"`
	BizType     int      `json:"bizType"`
}

type CaptureRequest struct {
	FileList    []string `json:"fileList"`
	DatasetName string   `json:"datasetName"`
	BizType     int      `json:"bizType"`
}
